# Uses of Interface
org.jfree.chart3d.renderer.xyz.XYZRenderer

Packages that use XYZRenderer
Package
Description
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of XYZRenderer in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return XYZRenderer
Modifier and Type
Method
Description
`XYZRenderer`
XYZPlot.`getRenderer()`
Returns the renderer for the plot.
Methods in org.jfree.chart3d.plot with parameters of type XYZRenderer
Modifier and Type
Method
Description
`void`
XYZPlot.`setRenderer(XYZRenderer renderer)`
Sets the renderer for the plot and sends a `Plot3DChangeEvent` to all registered listeners.
Constructors in org.jfree.chart3d.plot with parameters of type XYZRenderer
Modifier
Constructor
Description
``
`XYZPlot(XYZDataset dataset, XYZRenderer renderer, ValueAxis3D xAxis, ValueAxis3D yAxis, ValueAxis3D zAxis)`
Creates a new plot with the specified axes.

## Uses of XYZRenderer in org.jfree.chart3d.renderer.xyz

Classes in org.jfree.chart3d.renderer.xyz that implement XYZRenderer
Modifier and Type
Class
Description
`class`
`BarXYZRenderer`
A renderer that draws 3D bars on an `XYZPlot` using data from an `XYZDataset`.
`class`
`LineXYZRenderer`
A renderer that draws 3D lines on an `XYZPlot` using data from an `XYZDataset`.
`class`
`ScatterXYZRenderer`
A renderer for 3D scatter plots.
`class`
`SurfaceRenderer`
A renderer that plots a surface based on a function (any implementation of `Function3D`).

## Uses of XYZRenderer in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type XYZRenderer
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleXYZRenderer(XYZRenderer renderer)`
Applies the current style to an XYZ renderer.